//Source file: InvalidServiceInteractionException.java
//Date: October 2006
//Service Broker Interfaces and Data Types for 3GPP TS 29.198-16 V2.0.0 Release 7

package org.csapi.jr.se.svcbroker;

/**
 * The request cannot be processed as there is insufficient information for the Service Broker SCF to carry out the service interaction.
 *
 */
public class InvalidServiceInteractionException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidServiceInteractionException() {
        super(); 
    }

    public InvalidServiceInteractionException(String message) {
        super(message); 
    }

    public InvalidServiceInteractionException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceInteractionException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceInteractionException

